Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042785
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementminorhave not tried2020-01-10 06:362020-01-17 09:14
ReporterAtulOpenbravoView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revision7e4d4c644e64
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042785: Apply new HQL style in ProductCharacteristicEventHandler

Description1. Avoid use of StringBuilder use normal Strings.
2. HQL formatting is important for improving readability.
3. Avoid use of Property Constant for eg: CharacteristicValue.PROPERTY_ID, CharacteristicSubsetValue.PROPERTY_CODE, CharacteristicValue.PROPERTY_CODE, CharacteristicValue.PROPERTY_ACTIVE, CharacteristicSubsetValue.ENTITY_NAME etc
Steps To Reproduce-
Proposed SolutionFollow new style available here http://wiki.openbravo.com/wiki/HQL_Coding_Conventions [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0116789)
AtulOpenbravo (developer)
2020-01-13 11:16

- Define a Product Characteristics, set Variant = Yes, Explode Configuration Tab = Yes
- Add records in Value Tab
- Add record in Subset Tab
- Add records in Subset value Tab.
- Create a Generic Product
- Add above Characteristics defined in Product Window Characteristics Tab.
- Run Create Variants process.
- Realize that Variant Products are created successfully.
- Change Characteristic Subset or set/reset Explode Configuration Tab flag in the Product | Characteristic Tab
- Realize that Configuration tab records are updated accordingly as per the selected Subset.
(0116971)
hgbot (developer)
2020-01-17 09:13

Repository: erp/devel/pi
Changeset: 7e4d4c644e645dee71409f32c306f0d05d4aee2a
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Jan 13 14:28:59 2020 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/7e4d4c644e645dee71409f32c306f0d05d4aee2a [^]

Fixes BUG-42785: Apply new HQL style in ProductCharacteristicEventHandler

**Removed used of StringBuilder and Property constants
**Applied new HWL style to improve readability

---
M src/org/openbravo/event/ProductCharacteristicEventHandler.java
---
(0116972)
hgbot (developer)
2020-01-17 09:13

Repository: erp/devel/pi
Changeset: d31807c76410f3076c403fbbc764dfe239104990
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Jan 13 14:45:25 2020 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/d31807c76410f3076c403fbbc764dfe239104990 [^]

Related To ISSUE-42785:Apply new HQL style in ProductCharacteristicEventHandler

**Applied changes as per Sonar Lint Report

---
M src/org/openbravo/event/ProductCharacteristicEventHandler.java
---
(0116973)
hgbot (developer)
2020-01-17 09:13

Repository: erp/devel/pi
Changeset: fb750c2e1d3a48f6c034f09e91e8ae50b8652803
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Jan 14 07:53:46 2020 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/fb750c2e1d3a48f6c034f09e91e8ae50b8652803 [^]

Related To ISSUE-42785:Apply new HQL formatting/style in
ProductCharacteristicEventHandler

**Revert changes related to SonarLint suggestion to use
Boolean.TRUE.equals in if loop condition check.

---
M src/org/openbravo/event/ProductCharacteristicEventHandler.java
---
(0116974)
hgbot (developer)
2020-01-17 09:13

Repository: erp/devel/pi
Changeset: 5d9524a3229c19cda6580760b46b05dac6b2e26b
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Jan 17 09:12:52 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/5d9524a3229c19cda6580760b46b05dac6b2e26b [^]

Related to ISSUE-42785: Code Review Changes:
* Simplify the call to the query object
* Use id instead of object in query

---
M src/org/openbravo/event/ProductCharacteristicEventHandler.java
---
(0116975)
dmiguelez (developer)
2020-01-17 09:14

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2020-01-10 06:36 AtulOpenbravo New Issue
2020-01-10 06:36 AtulOpenbravo Assigned To => AtulOpenbravo
2020-01-10 06:36 AtulOpenbravo Modules => Core
2020-01-10 06:36 AtulOpenbravo Triggers an Emergency Pack => No
2020-01-10 06:36 AtulOpenbravo Issue generated from 0042784
2020-01-10 06:36 AtulOpenbravo Relationship added depends on 0041287
2020-01-10 06:39 AtulOpenbravo Issue cloned 0042786
2020-01-13 11:16 AtulOpenbravo Status new => scheduled
2020-01-13 11:16 AtulOpenbravo Note Added: 0116789
2020-01-17 09:13 hgbot Checkin
2020-01-17 09:13 hgbot Note Added: 0116971
2020-01-17 09:13 hgbot Status scheduled => resolved
2020-01-17 09:13 hgbot Resolution open => fixed
2020-01-17 09:13 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7e4d4c644e645dee71409f32c306f0d05d4aee2a [^]
2020-01-17 09:13 hgbot Checkin
2020-01-17 09:13 hgbot Note Added: 0116972
2020-01-17 09:13 hgbot Checkin
2020-01-17 09:13 hgbot Note Added: 0116973
2020-01-17 09:13 hgbot Checkin
2020-01-17 09:13 hgbot Note Added: 0116974
2020-01-17 09:14 dmiguelez Review Assigned To => dmiguelez
2020-01-17 09:14 dmiguelez Note Added: 0116975
2020-01-17 09:14 dmiguelez Status resolved => closed
2020-01-17 09:14 dmiguelez Fixed in Version => 3.0PR20Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker